Create a invoice snapshot
POST
/v1/tenants/current/invoice-snapshotscurl -X POST 'https://api.embodiflow.io/v1/tenants/current/invoice-snapshots' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"billingPeriodStart": "2026-01-01T00:00:00Z",
"billingPeriodEnd": "2026-01-01T00:00:00Z"
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- billingPeriodStartstring (date-time)必填
- billingPeriodEndstring (date-time)必填
响应
Success
- dataobject必填
- idstring必填
- tenantIdstring必填
- subscriptionIdstring | null必填
- billingPeriodStartstring必填
- billingPeriodEndstring必填
- currencystring必填
- totalAmountMinornumber必填
- lineItemsarray<InvoiceSnapshotLineItemDto>必填
- statusstring必填
- generatedAtstring必填
- metaobject必填
- requestIdstring必填
- createdone of必填
响应示例
{
"data": {
"id": "string",
"tenantId": "string",
"subscriptionId": "string",
"billingPeriodStart": "string",
"billingPeriodEnd": "string",
"currency": "string",
"totalAmountMinor": 0,
"lineItems": [
{
"kind": "subscription",
"billingComponent": "string",
"meterCode": "string",
"description": "string",
"quantity": "string",
"includedQuantity": "string",
"overageQuantity": "string",
"unitAmountMinor": 0,
"amountMinor": 0,
"currency": "string",
"pricingRuleId": "string"
}
],
"status": "string",
"generatedAt": "string"
},
"meta": {
"requestId": "string",
"created": false
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1